commit 32bbf76e4345a7961445b86a7cfccffa8a287fc1
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Nov 5 21:42:20 2021 +0000

    libstdc++: Fix inconsistent noexcept-specific for valarray begin/end
    
    These declarations should be noexcept after I added it to the
    definitions in <valarray>.
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/range_access.h (begin(valarray), end(valarray)):
            Add noexcept.
    
    (cherry picked from commit 2b2d97fc545635a0f6aa9c9ee3b017394bc494bf)

diff --git a/libstdc++-v3/include/bits/range_access.h b/libstdc++-v3/include/bits/range_access.h
index aee72c3fae4..98c81a153f3 100644
--- a/libstdc++-v3/include/bits/range_access.h
+++ b/libstdc++-v3/include/bits/range_access.h
@@ -104,10 +104,10 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
 
   template<typename _Tp> class valarray;
   // These overloads must be declared for cbegin and cend to use them.
-  template<typename _Tp> _Tp* begin(valarray<_Tp>&);
-  template<typename _Tp> const _Tp* begin(const valarray<_Tp>&);
-  template<typename _Tp> _Tp* end(valarray<_Tp>&);
-  template<typename _Tp> const _Tp* end(const valarray<_Tp>&);
+  template<typename _Tp> _Tp* begin(valarray<_Tp>&) noexcept;
+  template<typename _Tp> const _Tp* begin(const valarray<_Tp>&) noexcept;
+  template<typename _Tp> _Tp* end(valarray<_Tp>&) noexcept;
+  template<typename _Tp> const _Tp* end(const valarray<_Tp>&) noexcept;
 
   /**
    *  @brief  Return an iterator pointing to the first element of

